<div class="top-actions">
    <ng-template [canView]="[1, 3]">
        <button
            mat-raised-button
            color="primary"
            class="add-button"
            (click)="openCreateDialog()"
        >
            <mat-icon svgIcon="sprite:add-user"></mat-icon>
            Adicionar
        </button>
    </ng-template>

    <button
        type="button"
        mat-icon-button
        (click)="changeView(1)"
        [class.active-icon]="viewType == 1"
    >
        <mat-icon>apps</mat-icon>
    </button>

    <button
        type="button"
        mat-icon-button
        (click)="changeView(2)"
        [class.active-icon]="viewType == 2"
    >
        <mat-icon>view_list</mat-icon>
    </button>
</div>

<ng-template [ngIf]="viewType === 1">
    <app-athletes-grid [athletes]="athletes"></app-athletes-grid>
</ng-template>
<ng-template [ngIf]="viewType === 2">
    <app-athletes-list [athletes]="athletes"></app-athletes-list>
</ng-template>
